<!-- IGAC proyecto SNC

@author juan.agudelo
@description Pantalla de gestión bloqueo masivo personas
@version 2.0	 	
@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2
@modified by leidy.gonzalez 24/07/2014 Se modifica la Nota para los campos obligatorios 
de la persona juridica
@modified by leidy.gonzalez 30/07/2014 Se modifica oncomplete de boton cerrar.
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" id="todo">

    <p:messages id="msgsDP2" showDetail="false" globalOnly="false" />

    <h:form id="gestionArchivosFormUP" prependId="false"
            enctype="multipart/form-data">
        <h:panelGrid columns="1" cellspacing="3" width="100%">
            <p:spacer width="0" height="0" />

            <h:panelGrid columns="2" cellspacing="0">
                <h:outputLabel value="Documento soporte de la marcación masiva:" styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />

            <h:outputText
                value="Ingrese el archivo de soporte de la marcación masiva, este sera utilizado para todas las personas marcadas masivamente."
                styleClass="noteTextStyle" />
            <h:outputText
                value="Las extensiones válidas del archivo de soporte son tif, png, jpg, jpeg y pdf."
                styleClass="noteTextStyle" />

            <p:fileUpload id="fud"
                          fileUploadListener="#{bloqueoPersona.archivoUpload}" required="true"
                          dragDropSupport="true"
                          invalidFileMessage="El tipo de archivo seleccionado no es valido."
                          label="Archivo de bloqueo" auto="true"
                          invalidSizeMessage="El archivo seleccionado supera el tamaño permitido."
                          mode="advanced" sizeLimit="1024000"
                          allowTypes="/(\.|\/)(pdf|dwg|tif|png|jp[e]?g)$/"
                          update=":msgsDP2, :solicitarDocumentosForm,fud,
                          gestionArchivosFormUP:panelDocSop"
                          onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />


            <h:panelGrid columns="3" cellspacing="7" id="panelDocSop">
                <h:outputLabel value="Documento de soporte: "
                               styleClass="outputLabelStyle"
                               rendered="#{ not empty bloqueoPersona.documentoSoporteBloqueo.archivo}" />

                <p:commandLink
                    value="#{bloqueoPersona.documentoSoporteBloqueo.archivo}"
                    update=":docVDocSoporte:docViewerCCForm"
                    styleClass="commandLinkStyle"
                    oncomplete="docViewerDSWV.show();statusDialog2.hide()"
                    onstart="statusDialog2.show()"
                    rendered="#{not empty bloqueoPersona.documentoSoporteBloqueo.archivo}">
                    <f:setPropertyActionListener
                        target="#{previsualizacionDocumento.documentoTemporal}"
                        value="#{bloqueoPersona.documentoSoporteBloqueo}" />
                    <f:setPropertyActionListener
                        target="#{bloqueoPersona.documentoTemporalAVisualizar}"
                        value="#{bloqueoPersona.documentoSoporteBloqueo}" />

                </p:commandLink>
            </h:panelGrid>

            <p:separator />
        </h:panelGrid>
    </h:form>

    <h:form id="gestionArchivosForm2UP" prependId="false"
            enctype="multipart/form-data">
        <h:panelGrid columns="1" cellspacing="3" width="100%">
            <p:spacer width="0" height="5" />

            <h:panelGrid columns="2" cellspacing="0">
                <h:outputLabel value="Archivo con personas a marcár:" styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>                        

            <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />
            <h:outputText
                value="El archivo de marcación masivo debe tener extensión txt separado por punto y coma o xls o xlsx separado por celdas."
                styleClass="noteTextStyle" />
            <h:outputText
                value="El archivo de marcación masivo debe tener la estructura ordenada: tipo identificación, número de identificación, DV, primer apellido, segundo apellido, primer nombre, segundo nombre (opcional, si no existe utilice -), Tipo bloqueo, Departamento, Municipio, Entidad ordena bloqueo, restitución de tierras,  motivo bloqueo, fecha inicial, fecha envío, fecha recibido, número radicación, fecha final (opcional)."
                styleClass="noteTextStyle" />

            <h:outputLabel value="Nota: " styleClass="noteLabelStyle" />
            <h:outputText
                value="Para el caso de persona jurídica el tipo de identificación debe ser NIT y la razón social ocupara el campo correspondiente a primer apellido, los otros campos de nombre deben ser vacíos o celdas con - dependiendo del tipo de archivo, Entidad Ordena marcación,  motivo de marcación, fecha inicial, fecha de radicación y fecha final (opcional)."
                styleClass="noteTextStyle" />

            <p:fileUpload id="fu2"
                          fileUploadListener="#{bloqueoPersona.archivoVM}" required="true"
                          dragDropSupport="true"
                          invalidFileMessage="El tipo de archivo seleccionado no es valido."
                          label="Archivo de marcación masivo" auto="true"
                          invalidSizeMessage="El archivo seleccionado supera el tamaño permitido."
                          mode="advanced" sizeLimit="#{general.maximoTamanoAdjuntos}"
                          allowTypes="/(\.|\/)(xls|txt|xlsx?)$/"
                          update=":msgsDP2, :solicitarDocumentosForm,fu2,
                          gestionArchivosForm2UP:panelDocSop2"
                          onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
            <p:spacer height="25" width="30" />
            <h:panelGrid columns="2" cellspacing="7" id="panelDocSop2">
                <h:outputLabel value="Documento de marcación masivo: "
                               rendered="#{ not empty bloqueoPersona.nombreDocumentoBloqueoMasivo}"
                               styleClass="outputLabelStyle" />

                <p:commandLink id="downloadLink" styleClass="commandLinkStyle"
                               value="#{bloqueoPersona.nombreDocumentoBloqueoMasivo}" ajax="false"
                               process="@this"
                               rendered="#{ not empty bloqueoPersona.nombreDocumentoBloqueoMasivo}">
                    <f:setPropertyActionListener
                        target="#{bloqueoPersona.documentoTemporalAVisualizar}"
                        value="#{bloqueoPersona.documentoTemporalBloqueoMasivo}" />
                    <p:fileDownload value="#{bloqueoPersona.fileTempDownload}" />
                </p:commandLink>

            </h:panelGrid>

        </h:panelGrid>
    </h:form>

    <h:form id="solicitarDocumentosForm" prependId="false">
        <p:separator />
        <h:panelGrid>
            <p:fieldset id="botones" style="border:0px">

                <h:panelGrid columns="3" style="position: relative; left:200px;">
                    <h:panelGrid columns="2">
                        <p:fieldset style="border:0px">
                            <h:panelGroup>
                                <p:spacer width="0" height="0" />

                                <p:commandButton value="Guardar"
                                                 disabled="#{!bloqueoPersona.bloquearPersonas}"
                                                 action="#{bloqueoPersona.bloquearMPB}" id="btnGuardar"
                                                 onstart="statusDialog2.show();"
                                                 oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, docViewerWV, true);"
                                                 update=":msgsDP2, :solicitarDocumentosForm" icon="ui-icon-disk" />

                            </h:panelGroup>
                        </p:fieldset>
                    </h:panelGrid>
                    <p:spacer height="0" width="2" />
                    <h:panelGrid columns="2">
                        <p:fieldset style="border:0px">
                            <p:commandButton value="Cerrar"
                                             oncomplete="gestionarArchivosWV.hide();" immediate="true"
                                             icon="ui-icon-close" />
                        </p:fieldset>
                    </h:panelGrid>
                </h:panelGrid>

            </p:fieldset>
        </h:panelGrid>

        <h:panelGrid id="viewCommand" style="float:right;">
            <p:commandButton value="Export Excel" icon="ui-icon-document"
                             ajax="false" rendered="#{bloqueoPersona.erroresPersonas}">

                <p:fileDownload value="#{bloqueoPersona.exportFile}"
                                contentDisposition="attachment" />

            </p:commandButton>
        </h:panelGrid>


    </h:form>

</h:panelGrid>

